Chuyển đến nội dung
Diễn đàn CADViet
Đăng nhập để thực hiện theo  
naturooo

[Sửa lisp] Đặt giá trị Transparency cho block

Các bài được khuyến nghị

Nhờ các bác chỉnh lại lisp đăt giá trị Transparency cho các Block được chọn bởi entsel chứ không phải cho toàn bộ Block trong bản vẽ trong lisp sau ạ:

(defun C:BETMBB ; = Block Entities Transparency & Material to ByBlock
  (/ blkdata ent obj)
(setq numTr (getstring "- Nhap gia tri Transparency:"))

  (while (setq blkdata (tblnext "block" (not blkdata))); still any Block definitions left?
    (if
      (and
        (not (assoc 1 blkdata)); not an Xref [no path]
        (not (wcmatch (cdr (assoc 2 blkdata)) "`*D*")); not a Dimension
      ); and
      (progn ; then -- process it
        (setq ent (tblobjname "block" (cdr (assoc 2 blkdata)))); Block definition as entity
        (while (setq ent (entnext ent)); still something left in definition?
          (setq obj (vlax-ename->vla-object ent))
          (vla-put-EntityTransparency obj numTr)
          (vla-put-Material obj "ByBlock")
        ); while
      ); progn
    ); if
  ); while
(command "REGEN")
  (princ)
); defun

Em cảm ơn!

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Tạo một tài khoản hoặc đăng nhập để nhận xét

Bạn cần phải là một thành viên để lại một bình luận

Tạo tài khoản

Đăng ký một tài khoản mới trong cộng đồng của chúng tôi. Điều đó dễ mà.

Đăng ký tài khoản mới

Đăng nhập

Bạn có sẵn sàng để tạo một tài khoản ? Đăng nhập tại đây.

Đăng nhập ngay
Đăng nhập để thực hiện theo  

×